Bug 22520 - leocad cannot export to 3ds
Summary: leocad cannot export to 3ds
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: mga6-32-ok MGA6-64-OK
Keywords: advisory, validated_update
Depends on: 22657
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-04 10:41 CET by José Jorge
Modified: 2018-05-12 08:29 CEST (History)
4 users (show)

See Also:
Source RPM: leocad
CVE:
Status comment:


Attachments

Description José Jorge 2018-02-04 10:41:48 CET
I have found that leocad export to 3ds format does not work anymore in MGA6. Furthermore, the version 18.01 annouces it can open new LXF format that has become common in LDRAW site.

I will push the 18.01 version to updates_testing to see if both problems are fixed.
José Jorge 2018-02-04 10:42:50 CET

CC: (none) => jani.valimaa

José Jorge 2018-02-04 10:49:02 CET

CC: (none) => lists.jjorge

Comment 1 José Jorge 2018-03-01 08:36:58 CET
The bug is fixed, but we need qt update to be pushed.

Depends on: (none) => 22657
Assignee: lists.jjorge => qa-bugs

Comment 2 claire robinson 2018-03-01 23:38:27 CET
Can you give SRPM and list RPMs please José.
Comment 3 José Jorge 2018-03-02 18:07:49 CET
Oh sorry! I have just triggered a rebuild against Qt 5.9.4 as it was updated again for Plasma. So the release is 2 instead of 1 for the binary rpm.

Suggested advisory:
Leocad export to 3ds format does not work in MGA6. This update provides version 18.01 that fixes this bug and also can open new LXF format that has become common in LDRAW site.


RPMS:
leocad-18.01-2.mga6.{i586/x86_64}.rpm
leocad-data-10289-1.mga6.noarch.{s}rpm

Status: NEW => ASSIGNED

Comment 4 José Jorge 2018-03-02 18:57:36 CET
I tried to build against Qt 5.6, but failed to convince urpmi... while at that, I have updated to latest 18.02 version :

RPMS:
leocad-18.02-1.mga6.{i586/x86_64}.rpm
leocad-data-11331-1.mga6.noarch.{s}rpm

Suggested advisory:
Leocad export to 3ds format does not work in MGA6. This update provides version 18.02 that fixes this bug and also can open new LXF format that has become common in LDRAW site.
Comment 5 claire robinson 2018-03-03 10:15:20 CET
It's not clear José. 

Are there two srpms, leocad and leocad-data? 
Or just one, leocad-data?

This is important data to be able to push to updates.

Thanks
Comment 6 claire robinson 2018-03-03 10:18:30 CET
NM - checked svnweb. Two srpms.
Comment 7 claire robinson 2018-03-03 10:22:29 CET
Advisory uploaded

Keywords: (none) => advisory

Comment 8 José Jorge 2018-03-04 11:23:10 CET
Exported a model to 3DS with version 18.02 in a i586.

All ok.

Whiteboard: (none) => mga6-32-ok

Comment 9 Lewis Smith 2018-03-04 15:44:41 CET
Testing M6/64
Could not find any LXF file on the http://www.ldraw.org/ site, or anywhere else.

BEFORE the update:
 leocad-0.83.1-1.mga6.x86_64.rpm
 leocad-data-9306-1.mga6.noarch.rpm
pulled in nothing more.
Made a small wall, 'save as' offered .ldr .dat .mpd.
Saved it as .ldr
Right-clicking that file offered LeoCad, which did not work. However, starting the program then opening the file did.

UPDATE to:
 leocad-18.02-1.mga6
 leocad-data-11331-1.mga6
also pulled in a couple of Qt updates, disappeared before I could note them.
After the update, right-clicking the .ldr file showed LeoCAD, but did nothing. Worse, LeoCAD did not start from the menu. Will logout to see whether that helps.

CC: (none) => lewyssmith

Comment 10 Lewis Smith 2018-03-04 16:25:51 CET
M6/64 continued.

Neither re-starting X nor re-booting helped:
 $ leocad
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".
Available platform plugins are: wayland-org.kde.kwin.qpa, eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.
Reinstalling the application may fix this problem.
Aborted (core dumped)

I think these are the 2 Qt pkgs pulled in with the Leocad update:
 lib64qt5core5-5.9.4-1.mga6
 qtbase5-common-5.9.4-1.mga6
I am running LXDE hoping that Qt changes will not hurt it.
It looks as if I must dare the whole Qt update as well... Yes, I see now that this update depends on it, 22657. Back later.
Comment 11 Lewis Smith 2018-03-04 16:46:39 CET
M6/64 continued.
OK, after the whole Qt5 update, LeoCAD works fine. It opens the .ldr file from its context menu, or application 'open'. I do not know the application enough, because I notice now Import & Export File menu options; were they there before? BTAIM it *does* export as 3D_Studio .3ds format.
To test whether it would accept an .lxf file, I simply re-named one thus. Straight 'open' did not show it, but 'import' 'LEGO digital designer' did. The import failed because the file was not what it seemed; legit.

This update is good. Validating (in league with the Qt update).

Whiteboard: mga6-32-ok => mga6-32-ok MGA6-64-OK
Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 12 Mageia Robot 2018-05-12 08:29:02 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0076.html

Resolution: (none) => FIXED
Status: ASSIGNED => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.